> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create company

> Create a new company. Authentication required.



## OpenAPI

````yaml post /companies
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /companies:
    post:
      tags:
        - companies
      summary: Create company
      description: >-
        Create a company. Linear customer is provisioned asynchronously once a
        domain is set. Requires the companies:write scope.
      operationId: companies-create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                logo_url:
                  type: string
                  format: uri
                  nullable: true
                domains:
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 63
                    pattern: '[0-9a-z-]+\.(?:(?:co|or|gv|ac|com)\.)?[a-z]{2,7}$'
                size:
                  type: integer
                  minimum: 0
                revenue:
                  type: integer
                  minimum: 0
                external_ids:
                  type: array
                  items:
                    type: string
                  description: >-
                    Replaces the company's full external-id set. Use for
                    cross-system identifiers (CRM ids, etc.).
                status_id:
                  type: string
                  nullable: true
                  description: >-
                    Linear customer-status id. Fetch valid ids from `GET
                    /companies/linear-options`. Pass `null` to clear.
                tier_id:
                  type: string
                  nullable: true
                  description: >-
                    Linear customer-tier id. Fetch valid ids from `GET
                    /companies/linear-options`. Pass `null` to clear.
                owner_id:
                  type: string
                  nullable: true
                  description: >-
                    Linear user id of the owner. Fetch valid ids from `GET
                    /companies/linear-options`. Pass `null` to clear.
              required:
                - name
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  logo_url:
                    type: string
                    nullable: true
                  domains:
                    type: array
                    items:
                      type: string
                  size:
                    type: number
                    nullable: true
                  revenue:
                    type: number
                    nullable: true
                  status_id:
                    type: string
                    nullable: true
                  status_name:
                    type: string
                    nullable: true
                  tier_id:
                    type: string
                    nullable: true
                  tier_name:
                    type: string
                    nullable: true
                  owner:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                        nullable: true
                      avatar_url:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - avatar_url
                    additionalProperties: false
                    nullable: true
                  external_ids:
                    type: array
                    items:
                      type: string
                    description: >-
                      Caller-owned cross-system identifiers (CRM ids, etc.).
                      Replaced wholesale on create/update.
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - name
                  - logo_url
                  - domains
                  - size
                  - revenue
                  - status_id
                  - status_name
                  - tier_id
                  - tier_name
                  - owner
                  - external_ids
                  - created_at
                  - updated_at
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````